# dbfread - Read DBF Files with Python

Version 2.0.7

DBF is a file format used by databases such dBase, Visual FoxPro, and FoxBase+. This library reads DBF files and returns the data as native Python data types for further processing. It is primarily intended for batch jobs and one-off scripts.

    >>> from dbfread import DBF
    >>> for record in DBF('people.dbf'):
    ...     print(record)
    OrderedDict([('NAME', 'Alice'), ('BIRTHDATE', datetime.date(1987, 3, 1))])
    OrderedDict([('NAME', 'Bob'), ('BIRTHDATE', datetime.date(1980, 11, 12))])

## Source code

Latest stable release: https://github.com/olemb/dbfread/

Latest development version: https://github.com/olemb/dbfread/tree/develop/

## About This Document

This document is available at https://dbfread.readthedocs.io/

To build documentation locally:

    python setup.py docs

This requires Sphinx. The resulting files can be found in `docs/_build/`.

## Contents

- Changes
  - Release History
- Installing dbfread
  - Requirements
  - Installing
- Introduction
  - Opening a DBF File
  - Streaming or Loading Records
  - Character Encodings
  - Memo Files
  - Record Factories
  - Custom Field Types
- Moving data to SQL, CSV, Pandas etc.
  - CSV
  - Pandas Data Frames
  - dataset (SQL)
  - dbf2sqlite
- DBF Objects
  - Arguments
  - Methods
  - Attributes
- Field Types
  - Supported Field Types
  - Adding Custom Field Types
  - Special Characters in Field Type Names
  - InvalidValue
- API Changes
- Resources
  - DBF file format documentation
- License
- Acknowledgements